Package com.collibra.dgc.core.api.dto

# Class PagedRequest

Object
PagedRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CursorPagedRequest`, `FindActivitiesRequest`, `FindAssetTypesRequest`, `FindAttachmentsRequest`, `FindAttributeTypesRequest`, `FindCommentsRequest`, `FindComplexRelationTypesRequest`, `FindDataQualityRulesRequest`, `FindDomainTypesRequest`, `FindIssuesRequest`, `FindJdbcDriverRequest`, `FindJobsRequest`, `FindMappingsRequest`, `FindMostViewedAssetsRequest`, `FindRatingsRequest`, `FindRecentlyViewedAssetsRequest`, `FindRelatedAssetsRequest`, `FindRelationTypesRequest`, `FindResponsibilitiesRequest`, `FindRolesRequest`, `FindStatusesRequest`, `FindTagsRequest`, `FindTraitsRequest`, `FindUserGroupsForUserRequest`, `FindUserGroupsRequest`, `FindUsersRequest`, `FindValidationResultRequest`, `FindViewPermissionRequest`, `FindWorkflowDefinitionsRequest`, `FindWorkflowInstancesRequest`, `FindWorkflowTasksRequest`, `RecentlyViewedAssetsRequest`

public class PagedRequest extends Object implements Serializable
The request that supports paging parameters.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `countLimit`
  Allows to limit the number of elements that will be counted.
  `protected int`
  `limit`
  The maximum number of results to retrieve.
  `protected int`
  `offset`
  The first result to retrieve.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `PagedRequest()`
  ``
  `PagedRequest(int offset, int limit)`
  `protected`
  `PagedRequest(int offset, int limit, int countLimit)`
  Creates a new `PagedRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getCountLimit()`
  Allows to limit the number of elements that will be counted.
  `int`
  `getLimit()`
  The maximum number of results to retrieve.
  `int`
  `getOffset()`
  The first result to retrieve.
  `int`
  `hashCode()`
  `boolean`
  `isPagingActive()`
  Deprecated.
  This method will be removed in the future.
  `void`
  `setCountLimit(int countLimit)`
  Allows to limit the number of elements that will be counted.
  `void`
  `setLimit(int limit)`
  The maximum number of results to retrieve.
  `void`
  `setOffset(int offset)`
  The first result to retrieve.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @DefaultValue("0") @QueryParam("offset") protected int offset
    The first result to retrieve. If not set (offset = `0`), results will be retrieved starting from row `0`.

  - ### limit

    @DefaultValue("0") @QueryParam("limit") @ConfiguredMaxLimit(max=1000) protected int limit
    The maximum number of results to retrieve. If not set (limit = `0`), the default limit will be used. The maximum allowed limit is 1000.

  - ### countLimit

    @DefaultValue("-1") @QueryParam("countLimit") protected int countLimit
    Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

- ## Constructor Details

  - ### PagedRequest

    public PagedRequest(int offset, int limit)

  - ### PagedRequest

    public PagedRequest()

  - ### PagedRequest

    protected PagedRequest(int offset, int limit, int countLimit)
    Creates a new `PagedRequest` instance.
    Parameters:
      `offset` - The first result to retrieve. If not set (offset = `0`), results will be retrieved starting from row `0`.
      `limit` - The maximum number of results to retrieve. If not set (limit = `0`), the default limit will be used. The maximum allowed limit is 1000.
      `countLimit` - Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

- ## Method Details

  - ### isPagingActive

    @Deprecated public boolean isPagingActive()
    Deprecated.
    This method will be removed in the future. Please use `getOffset()` and `getLimit()`.
    Returns true if paging is active, false otherwise.
    Returns:
      `true` if paging is active, `false` otherwise

  - ### getOffset

    public int getOffset()
    The first result to retrieve. If not set (offset = `0`), results will be retrieved starting from row `0`.

  - ### getLimit

    public int getLimit()
    The maximum number of results to retrieve. If not set (limit = `0`), the default limit will be used. The maximum allowed limit is 1000.

  - ### getCountLimit

    public int getCountLimit()
    Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

  - ### setOffset

    public void setOffset(int offset)
    The first result to retrieve. If not set (offset = `0`), results will be retrieved starting from row `0`.

  - ### setLimit

    public void setLimit(int limit)
    The maximum number of results to retrieve. If not set (limit = `0`), the default limit will be used. The maximum allowed limit is 1000.

  - ### setCountLimit

    public void setCountLimit(int countLimit)
    Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`